routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

// Front
Route::get('/', 'front\FrontController@index')->name('public.index');
// Front - Course
Route::get('/course', 'front\CourseController@index')->name('course');
Route::get('/course/{name}', 'front\CourseController@show')->name('course.show');
// Front - Lesson
// Route::get('/course/{course_name}/{lesson_name}', 'front\LessonController@index')->name('lesson');
Route::get('/course/lesson/{lesson_name}', 'front\LessonController@index')->name('lesson');
// Front - Practice
Route::get('/course/lesson/{lesson_id}/exercise', 'front\PracticeController@index')->name('practice');
Route::post('/course/lesson/{lesson_id}/review', 'front\ReviewController@index')->name('review');
//Front - Blog
Route::get('/blog', 'front\BlogController@index')->name('blog');
Route::get('/blog/{blog_name}', 'front\BlogController@show')->name('blog.show');
//Front - Profile
// Route::get('/profile', 'ProfileController@index')->name('profile');
// Route::get('/profile', 'ProfileController@update')->name('profile');
Route::get('/profile', 'ProfileController@index')->name('profile');
Route::put('/profile/{id}', 'ProfileController@update')->name('profile.update');
Route::put('/profile/{id}/password', 'ProfileController@updatePassword')->name('profile.password');

// //Dashboard - Blog
// Route::get('dashboard/blog/edit/{id}', 'dashboard\BlogController@edit');
// //Dashboard - Course
// Route::get('dashboard/course/edit/{id}', 'dashboard\CourseController@edit');
// //Dashboard - Lesson
// Route::get('dashboard/lesson/edit/{id}', 'dashboard\LessonController@edit');

Route::group([
    'prefix' => 'dashboard',
    'middleware' => ['web', 'auth']
], function (){
    Route::get('/', 'dashboard\DashboardController@index')->name('dashboard');

    Route::resource('/course', 'dashboard\CourseController', ['as' => 'dashboard']);

    Route::resource('/lesson', 'dashboard\LessonController', ['as' => 'dashboard']);

    Route::resource('/practice', 'dashboard\PracticeController', ['as' => 'dashboard']);

    Route::resource('/blog', 'dashboard\BlogController', ['as' => 'dashboard']);

    Route::resource('/student', 'dashboard\StudentController', ['as' => 'dashboard']);
});

Route::group([
    'prefix' => 'datatable',
    'middleware' => ['web', 'auth']
], function(){
    Route::get('/course', 'dashboard\CourseController@datatableIndex')->name('datatable.course.index');
    Route::get('/lesson', 'dashboard\LessonController@datatableIndex')->name('datatable.lesson.index');
    Route::get('/practice', 'dashboard\PracticeController@datatableIndex')->name('datatable.practice.index');
    Route::get('/blog', 'dashboard\BlogController@datatableIndex')->name('datatable.blog.index');
    Route::get('/student', 'dashboard\StudentController@datatableIndex')->name('datatable.student.index');
});

app/Lesson.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Lesson extends Model
{
    protected $table = 't_lesson';

    protected $fillable = [
        'lesson_name',
        'lesson_thumbnail',
        'lesson_video',
        'lesson_detail',
        'status'
    ];

    public function course()
    {
        return $this->belongsTo('App\Course', 'course_id');
    }

    public function question()
    {
        return $this->hasMany('App\Question', 'lesson_id');
    }
}

app/Http/Controllers/dashboard/BlogController.php
<?php

namespace App\Http\Controllers\dashboard;

use Storage;
use Carbon\Carbon;
use App\Blog;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use DataTables;

class BlogController extends Controller
{
    protected $file_location = 'public/blog';
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $blog = DB::table('t_blog')->get();
        return view('content.dashboard.blog.index', compact('blog'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('content.dashboard.blog.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'blog_name' => ['required', 'string', 'max:191'],
            'blog_detail' => ['required', 'string'],
            'blog_thumbnail' => ['nullable', 'mimes:jpg,jpeg,png'],
        ]);

        $blog = new Blog;
        $blog->blog_name = $request->blog_name;
        $blog->blog_detail = $request->blog_detail;

        if($request->hasFile('blog_thumbnail')){
            $uploadedFile = $request->file('blog_thumbnail');        
            $filename = 'blog-'.(Carbon::now()->timestamp+rand(1,1000));
            $uploadedFile->move('assets/gambar_blog/', $filename.'.'.$uploadedFile->getClientOriginalExtension());
            // $path = $uploadedFile->storeAs($this->file_location, $filename.'.'.$uploadedFile->getClientOriginalExtension());
            $blog->blog_thumbnail = $filename.'.'.$uploadedFile->getClientOriginalExtension();
        }

        $blog->save();

        return redirect()->route('dashboard.blog.index')->with([
            'status' => 'success',
            'message' => 'Blog successfully added'
        ]);

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Blog  $blog
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        // $blog = Blog::findOrFail($id);
        // $blog = Blog::whereBlogName($id)->first();
        $blog = DB::table('t_blog')->whereBlogName($id)->first();
        return view('content.dashboard.blog.show', compact('blog'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Blog  $blog
     * @return \Illuminate\Http\Response
     */
    public function edit(Blog $blog)
    {
        // $blog = Blog::findOrFail($id);

        return view('content.dashboard.blog.edit', compact('blog'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Blog  $blog
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Blog $blog)
    {
        // $blog = Blog::findOrFail($id);
   
        $request->validate([
            'blog_name' => ['required', 'string', 'max:191'],
            'blog_detail' => ['required', 'string'],
            'blog_thumbnail' => ['nullable', 'mimes:jpg,jpeg,png'],
        ]);

        $blog->blog_name = $request->blog_name;
        $blog->blog_detail = $request->blog_detail;

        if($request->hasFile('blog_thumbnail')){
            Storage::delete($this->file_location.'/'.$blog->blog_thumbnail);

            $uploadedFile = $request->file('blog_thumbnail');        
            $filename = 'blog-'.(Carbon::now()->timestamp+rand(1,1000));
            $uploadedFile->move('assets/gambar_blog/', $filename.'.'.$uploadedFile->getClientOriginalExtension());
            // $path = $uploadedFile->storeAs($this->file_location, $filename.'.'.$uploadedFile->getClientOriginalExtension());
            $blog->blog_thumbnail = $filename.'.'.$uploadedFile->getClientOriginalExtension();
        }

        $blog->save();
        
        return redirect()->route('dashboard.blog.index')->with([
            'status' => 'success',
            'message' => 'Blog successfully updated'
        ]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Blog  $blog
     * @return \Illuminate\Http\Response
     */
    public function destroy(Blog $blog)
    {
        Blog::destroy($blog->id);

        return redirect()->route('dashboard.blog.index')->with([
            'status' => 'success',
            'message' => 'Blog successfully deleted'
        ]);
    }

    public function datatableIndex()
    {
        $blog = Blog::query()->get()->map(function($data, $key){
            $data->blog_name = ucwords($data->blog_name);

            return $data;
        });

        return datatables()
            ->of($blog)
            ->toJson();
    }
}

app/Http/Controllers/dashboard/CourseController.php
<?php

namespace App\Http\Controllers\dashboard;

use Storage;
use Carbon\Carbon;
use App\Course;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use DataTables;

class CourseController extends Controller
{
    protected $file_location = 'public/course';
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['course'] = Course::all();
        return view('content.dashboard.course.index',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('content.dashboard.course.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'course_name' => ['required', 'string', 'max:191'],
            'course_detail' => ['required', 'string'],
            'course_thumbnail' => ['nullable', 'mimes:jpg,jpeg,png'],
        ]);

        $course = new Course;
        $course->course_name = $request->course_name;
        $course->course_detail = $request->course_detail;

        if($request->hasFile('course_thumbnail')){
            $uploadedFile = $request->file('course_thumbnail');        
            $filename = 'course-'.(Carbon::now()->timestamp+rand(1,1000));
            $uploadedFile->move('assets/gambar_course/', $filename.'.'.$uploadedFile->getClientOriginalExtension());
            // $path = $uploadedFile->storeAs($this->file_location, $filename.'.'.$uploadedFile->getClientOriginalExtension());
            $course->course_thumbnail = $filename.'.'.$uploadedFile->getClientOriginalExtension();
        }

        $course->save();

        return redirect()->route('dashboard.course.index')->with([
            'status' => 'success',
            'message' => 'Course successfully added'
        ]);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Course  $course
     * @return \Illuminate\Http\Response
     */
    public function show(Course $course)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Course  $course
     * @return \Illuminate\Http\Response
     */
    public function edit(Course $course)
    {
        return view('content.dashboard.course.edit', compact('course'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Course  $course
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Course $course)
    {
        // $course = Course::findOrFail($id);
        
        $request->validate([
            'course_name' => ['required', 'string', 'max:191'],
            'course_detail' => ['required', 'string'],
            'course_thumbnail' => ['nullable', 'mimes:jpg,jpeg,png'],
        ]);

        $course->course_name = $request->course_name;
        $course->course_detail = $request->course_detail;
        
        if($request->hasFile('course_thumbnail')){
            Storage::delete($this->file_location.'/'.$course->course_thumbnail);

            $uploadedFile = $request->file('course_thumbnail');        
            $filename = 'course-'.(Carbon::now()->timestamp+rand(1,1000));
            $uploadedFile->move('assets/gambar_course/', $filename.'.'.$uploadedFile->getClientOriginalExtension());
            // $path = $uploadedFile->storeAs($this->file_location, $filename.'.'.$uploadedFile->getClientOriginalExtension());
            $course->course_thumbnail = $filename.'.'.$uploadedFile->getClientOriginalExtension();
        }

        $course->save();
        
        return redirect()->route('dashboard.course.index')->with([
            'status' => 'success',
            'message' => 'Course successfully updated'
        ]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Course  $course
     * @return \Illuminate\Http\Response
     */
    public function destroy(Course $course)
    {
        Course::destroy($course->id);
        return redirect()->route('dashboard.course.index')->with([
            'status' => 'success',
            'message' => 'Course successfully deleted'
        ]);
    }

    public function datatableIndex()
    {
        $course = Course::query()->get()->map(function($data, $key){
            $data->course_name = ucwords($data->course_name);

            return $data;
        });

        return datatables()
            ->of($course)
            ->toJson();
    }
}

app/Http/Controllers/dashboard/DashboardController.php
<?php

namespace App\Http\Controllers\dashboard;

use Storage;
use App\Lesson;
use App\Course;
use App\Blog;
use App\User;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class DashboardController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $user = DB::table('users')->get();
        if(auth()->user()->role != 'student'){
            $course = Course::all();
            $lesson = Lesson::all();
            $user = User::where('role', 'student')->get();
            $blog = Blog::all();
            return view('content.dashboard.dashboard.index', compact('course', 'user', 'blog', 'lesson'));
        }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/dashboard/StudentController.php
<?php

namespace App\Http\Controllers\dashboard;

use App\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class StudentController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $student = DB::table('users')
            ->where('role', 'student')
            ->get();
        return view('content.dashboard.student.index', compact('student'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $student = DB::table('users')->whereName($id)->first();
        return view('content.dashboard.student.show', compact('student'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function datatableIndex()
    {

    }
}

resources/views/content/dashboard/lesson/index.blade.php
@extends('layouts.dashboard')

@section('plugins_css')
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
<!-- data tables -->
<link href="{{ asset('dashboard_asset/assets/plugins/datatables/plugins/bootstrap/dataTables.bootstrap4.min.css') }}" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{{ asset('dashboard_asset/plugins/datatable/datatables.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('dashboard_asset/plugins/lightcase/css/lightcase.css') }}">
@endsection

@section('content_header')
<div class="page-bar">
    <div class="page-title-breadcrumb">
        <div class=" pull-left">
            <div class="page-title">All Lessons</div>
        </div>
        <ol class="breadcrumb page-breadcrumb pull-right">
            <li>
                <i class="fa fa-home"></i>&nbsp;
                <a class="parent-item" href="{{ route('dashboard') }}">Home</a>&nbsp;
                <i class="fa fa-angle-right"></i>
            </li>
            <li class="active">All Lessons</li>
        </ol>
    </div>
</div>
@endsection

@section('content_body')
@if(session('status') == 'success')
    <div class="alert alert-success">{{ session('message') }}</div>
@endif
<div class="row">
    <div class="col-md-12">
        <div class="tabbable-line">
            <div class="tab-content">
                <div class="tab-pane active fontawesome-demo" id="tab1">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card card-topline-aqua">
                                <div class="card-head">
                                    <header>Lesson List</header>
                                </div>
                                <div class="card-body ">
                                    <div class="row">
                                        <div class="col-md-6 col-sm-6 col-6">
                                            <div class="btn-group">
                                                <a href="{{ route('dashboard.lesson.create') }}" id="addRow" class="btn btn-info">
													Add New <i class="fa fa-plus"></i>
												</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="table-scrollable">
                                        <table class="table table-striped table-bordered table-hover table-checkable order-column valign-middle" id="lessonTable">
                                            <thead>
                                                <tr>
                                                    <th class="center"> No. </th>
                                                    <th class="center"> Thumbnail Lesson </th>
                                                    <th class="center"> Course Name </th>
                                                    <th class="center"> Lesson Name </th>
                                                    <th class="center"> Action </th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($lesson as $l)
                                                <tr class="odd gradeX">
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td class="patient-img center">
                                                        <a href="{{ url('assets/gambar_lesson/'.$l->lesson_thumbnail) }}" class="" data-rel="lightcase">
                                                            <img src="{{ asset('assets/gambar_lesson/'.$l->lesson_thumbnail) }}" alt="{{ $l->lesson_name }}">
                                                        </a>
                                                    </td>
                                                    <td>{{ $l->course_name }}</td>
                                                    <td>{{ $l->lesson_name }}</td>
                                                    <td class="center">
                                                        <a href="{{ route('dashboard.lesson.show', $l->lesson_name) }}" class="btn btn-primary btn-xs">
                                                            <i class="fa fa-eye"></i>Detail
                                                        </a>
                                                        <a href="{{ route('dashboard.lesson.index').'/'.$l->id.'/edit' }}" class="btn btn-warning btn-xs">
                                                            <i class="fa fa-pencil"></i>Edit
                                                        </a>
                                                        <form action="{{ route('dashboard.lesson.index').'/'.$l->id }}" method="post" class="d-inline">
                                                            @method('delete')
                                                            @csrf
                                                            <button type="submit" class="btn btn-danger btn-xs">
                                                                <i class="fa fa-trash-o "></i>Delete
                                                            </button>
                                                        </form>
                                                    </td>
                                                </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('plugins_js')
<script type="text/javascript" src="{{ asset('dashboard_asset/plugins/datatable/datatables.js') }}"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
<script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.12/js/dataTables.bootstrap.min.js"></script>
<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
<!-- datatables -->
<script type="text/javascript" src="{{ asset('dashboard_asset/assets/plugins/datatables/plugins/bootstrap/dataTables.bootstrap4.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('dashboard_asset/assets/plugins/datatables/jquery.dataTables.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('dashboard_asset/assets/js/pages/table/table_data.js') }}"></script>
<script type="text/javascript" src="{{ asset('dashboard_asset/plugins/lightcase/js/lightcase.js') }}"></script>
@endsection

@section('inline_js')
<script>
    var lessonTable = $("#lessonTable").DataTable({
        order: [0, 'asc'],
        pageLength: 5,
        aLengthMenu:[5,10,15,25,50],
        columnDefs: [
            {
                targets: 4,
                orderable: false,
                searchable: false,
            }
        ],
        responsive: true
    });

    $(document).ready(function(){
        $('a[data-rel^=lightcase]').lightcase();
        $('#slideshowTable').on('draw.dt', function() {
            $('a[data-rel^=lightcase]').lightcase();
        });
    });
    $('body').on('click', 'a[data-rel^=lightcase]', function(e) {
        var href = $(this).attr('href');
        lightcase.start({
            href: href
        });
        e.preventDefault();
    });
</script>
<!-- <script>
    var lessonTable = $("#lessonTable").DataTable({
        serverSide: true,
        processing: true,
        order: [0, 'asc'],
        pageLength: 5,
        aLengthMenu:[5,10,15,25,50],
        ajax: "{{ route('datatable.lesson.index') }}",
        columns: [
            {data: 'id'},
            {data: 'lesson_thumbnail'},
            {data: 'course_name'},
            {data: 'lesson_name'},
            {data: ''},
        ],
        columnDefs: [
            {
                targets: 4,
                orderable: false,
                searchable: false,
                render: function(row, type, data){
                    // console.log(row);
                    let url = "{{ route('dashboard.lesson.index') }}";
                    
                    return "<div class='btn-group'>"
                        +"<a href='"+url+"/show/"+data.id+"' class='btn btn-info btn-xs'><i class='far fa-eye'></i>Detail</a>"
                        +"&nbsp;&nbsp;&nbsp;"
                        +"<a href='"+url+"/edit/"+data.id+"' class='btn btn-warning btn-xs'><i class='far fa-pencil'></i>Edit</a>"
                        +"&nbsp;&nbsp;&nbsp;"
                        +"<a href='"+url+"/destroy/"+data.id+"' class='btn btn-danger btn-xs'><i class='far fa-trash'></i>Delete</a>"
                    +"</div>"
                }
            }
        ],
        responsive: true
    });
</script> -->
@endsection

resources/views/content/dashboard/lesson/show.blade.php
@extends('layouts.dashboard')

@section('plugins_css')
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css">
<!-- data tables -->
<link href="{{ asset('dashboard_asset/assets/plugins/datatables/plugins/bootstrap/dataTables.bootstrap4.min.css') }}" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{{ asset('dashboard_asset/plugins/datatable/datatables.css') }}">
<link rel="stylesheet" type="text/css" href="{{ asset('dashboard_asset/plugins/lightcase/css/lightcase.css') }}">
@endsection

@section('content_header')
<div class="page-bar">
    <div class="page-title-breadcrumb">
        <div class=" pull-left">
            <div class="page-title">Lesson Details</div>
        </div>
        <ol class="breadcrumb page-breadcrumb pull-right">
            <li>
                <i class="fa fa-home"></i>&nbsp;
                <a class="parent-item" href="{{ route('dashboard') }}">Home</a>&nbsp;
                <i class="fa fa-angle-right"></i>
            </li>
            <li>
                <a class="parent-item" href="{{ route('dashboard.lesson.index') }}">All Lessons</a>&nbsp;
                <i class="fa fa-angle-right"></i>
            </li>
            <li class="active">Lesson Details</li>
        </ol>
    </div>
</div>
@endsection

@section('content_body')
<div class="row">
    <div class="col-sm-12">
        <div class="card card-topline-aqua">
            <div class="card-head">
                <header>Lesson Details</header>
            </div>
            <table class="table table-striped">
                <tr>
                    <th>Course Name</th>
                    <td>{{ $lesson->course_name }}</td>
                </tr>
                <tr>
                    <th>Lesson Thumbnail</th>
                    <td class="patient-img">
                        <a href="{{ url('assets/gambar_lesson/'.$lesson->lesson_thumbnail) }}" class="" data-rel="lightcase">
                            <img src="{{ asset('assets/gambar_lesson/'.$lesson->lesson_thumbnail) }}" alt="{{ $lesson->lesson_name }}">
                        </a>
                    </td>
                </tr>
                <tr>
                    <th>Lesson Name</th>
                    <td>{{ $lesson->lesson_name }}</td>
                </tr>
                <tr>
                    <th>Lesson Detail</th>
                    <td>{!! $lesson->lesson_detail !!}</td>
                </tr>
                <tr>
                    <th>Lesson Video</th>
                    <td><a href="{{ $lesson->lesson_video }}">{!! $lesson->lesson_video !!}</a></td>
                </tr>
            </table>
            <div class="center">
                <a href="{{ route('dashboard.lesson.index').'/'.$lesson->id.'/edit' }}" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect m-b-10 btn-warning">Edit</a>
                <a href="{{ route('dashboard.lesson.index') }}" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect m-b-10 btn-default">Back</a>
            </div>
        </div>
    </div>
</div>
@endsection

@section('plugins_js')
<script type="text/javascript" src="{{ asset('dashboard_asset/plugins/datatable/datatables.js') }}"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
<script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.12/js/dataTables.bootstrap.min.js"></script>
<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
<!-- datatables -->
<script type="text/javascript" src="{{ asset('dashboard_asset/assets/plugins/datatables/plugins/bootstrap/dataTables.bootstrap4.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('dashboard_asset/assets/plugins/datatables/jquery.dataTables.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('dashboard_asset/assets/js/pages/table/table_data.js') }}"></script>
<script type="text/javascript" src="{{ asset('dashboard_asset/plugins/lightcase/js/lightcase.js') }}"></script>
@endsection

@section('inline_js')
<script>
    $(document).ready(function(){
        $('a[data-rel^=lightcase]').lightcase();
        $('#slideshowTable').on('draw.dt', function() {
            $('a[data-rel^=lightcase]').lightcase();
        });
    });
    $('body').on('click', 'a[data-rel^=lightcase]', function(e) {
        var href = $(this).attr('href');
        lightcase.start({
            href: href
        });
        e.preventDefault();
    });
</script>
@endsection